Subject: Re: [bug#34929] [PATCH 04/12] bootloader: Add a 'keyboard-layout' field.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 24 Mar 2019 22:18:11 +0100

Hi!

Julien Lepiller <[email-masked]> skribis:

> Le Thu, 21 Mar 2019 00:04:27 +0100,
> Ludovic Courtès <[email-masked]> a écrit :

[...]

>> +while the example below designates the bépo layout for French:
>> +
>> +@example
>> +(keyboard-layout "fr" "bepo")
>> +@end example
>
> I think these examples are a bit confusing, because they could be
> interpreted as:
>
> (bootloader (bootloader-configuration
>                 (target "/boot/efi")
>                 (bootloader grub-efi-bootloader)
>                 (keyboard-layout "fr" "bepo")))
>
> as well as:
>
> (bootloader (bootloader-configuration
>                 (target "/boot/efi")
>                 (bootloader grub-efi-bootloader)
>                 (keyboard-layout (keyboard-layout "fr" "bepo"))))
>
> and I think you mean the second one, but the first one is the one that
> comes immediately to mind when reading the manual. Maybe you could add
> the full example?

Good point.  Actually the last patch adds a new “Keyboard Layout”
section, which I think doesn’t have this problem and provides a complete
example.

>> +  (keyboard-layout
>> bootloader-configuration-keyboard-layout ;string | #f
>
> I think you mean "<keyboard-layout> | #f"

Good catch, thanks!

Ludo’.